package com.swago.baseswago.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * @date 2021/8/28 11:01
 * description:
 */
public class MomentModel implements Parcelable {

    /**
     * user_account : string
     * user_name : string
     * user_head_img_url : string
     */

    private String user_account;
    private String user_name;
    private String user_head_img_url;
    private String id;
    private String user_broadcast_id;
    private String user_broadcast_code;
    private String broadcast_hot;
    private String im_group_id;
    private int user_broadcast_status;
    private String user_rtc_token;
    private int is_follow;
    private int user_sex;
    private int user_level;
    private int is_robot;

    protected MomentModel(Parcel in) {
        user_account = in.readString();
        user_name = in.readString();
        user_head_img_url = in.readString();
        id = in.readString();
        user_broadcast_id = in.readString();
        user_broadcast_code = in.readString();
        broadcast_hot = in.readString();
        im_group_id = in.readString();
        user_broadcast_status = in.readInt();
        user_rtc_token = in.readString();
        is_follow = in.readInt();
        user_sex = in.readInt();
        user_level = in.readInt();
        is_robot = in.readInt();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(user_account);
        dest.writeString(user_name);
        dest.writeString(user_head_img_url);
        dest.writeString(id);
        dest.writeString(user_broadcast_id);
        dest.writeString(user_broadcast_code);
        dest.writeString(broadcast_hot);
        dest.writeString(im_group_id);
        dest.writeInt(user_broadcast_status);
        dest.writeString(user_rtc_token);
        dest.writeInt(is_follow);
        dest.writeInt(user_sex);
        dest.writeInt(user_level);
        dest.writeInt(is_robot);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<MomentModel> CREATOR = new Creator<MomentModel>() {
        @Override
        public MomentModel createFromParcel(Parcel in) {
            return new MomentModel(in);
        }

        @Override
        public MomentModel[] newArray(int size) {
            return new MomentModel[size];
        }
    };

    public String getUser_account() {
        return user_account;
    }

    public void setUser_account(String user_account) {
        this.user_account = user_account;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public String getUser_head_img_url() {
        return user_head_img_url;
    }

    public void setUser_head_img_url(String user_head_img_url) {
        this.user_head_img_url = user_head_img_url;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUser_broadcast_id() {
        return user_broadcast_id;
    }

    public void setUser_broadcast_id(String user_broadcast_id) {
        this.user_broadcast_id = user_broadcast_id;
    }

    public String getUser_broadcast_code() {
        return user_broadcast_code;
    }

    public void setUser_broadcast_code(String user_broadcast_code) {
        this.user_broadcast_code = user_broadcast_code;
    }

    public String getBroadcast_hot() {
        return broadcast_hot;
    }

    public void setBroadcast_hot(String broadcast_hot) {
        this.broadcast_hot = broadcast_hot;
    }

    public String getIm_group_id() {
        return im_group_id;
    }

    public void setIm_group_id(String im_group_id) {
        this.im_group_id = im_group_id;
    }

    public int getUser_broadcast_status() {
        return user_broadcast_status;
    }

    public void setUser_broadcast_status(int user_broadcast_status) {
        this.user_broadcast_status = user_broadcast_status;
    }

    public String getUser_rtc_token() {
        return user_rtc_token;
    }

    public void setUser_rtc_token(String user_rtc_token) {
        this.user_rtc_token = user_rtc_token;
    }

    public int getIs_follow() {
        return is_follow;
    }

    public void setIs_follow(int is_follow) {
        this.is_follow = is_follow;
    }

    public int getUser_sex() {
        return user_sex;
    }

    public void setUser_sex(int user_sex) {
        this.user_sex = user_sex;
    }

    public int getUser_level() {
        return user_level;
    }

    public void setUser_level(int user_level) {
        this.user_level = user_level;
    }

    public int getIs_robot() {
        return is_robot;
    }

    public void setIs_robot(int is_robot) {
        this.is_robot = is_robot;
    }
}
